Retrieve all rewards for a given AVS address
curl --request GET \
--url https://api.eigenexplorer.com/avs/{address}/rewards \
--header 'X-API-Token: <x-api-token>'import requests
url = "https://api.eigenexplorer.com/avs/{address}/rewards"
headers = {"X-API-Token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Token': '<x-api-token>'}};
fetch('https://api.eigenexplorer.com/avs/{address}/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x870679e138bcdf293b7ff14dd44b70fc97e12fc0",
"submissions": [
{
"rewardsSubmissionHash": "0x141e6ea51d92c9ceaefbd5d1ac1b5f1c2ee06555ef20e224ff23ec3448edb7dd",
"startTimestamp": 1720000000,
"duration": 2500000,
"totalAmount": "5000000000000000000",
"tokenAddress": "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"strategies": [
{
"strategyAddress": "0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7",
"multiplier": "1000000000000000000",
"amount": "5000000000000000000"
}
]
}
],
"totalRewards": "1000000000000000000",
"totalSubmissions": 10,
"rewardTokens": [
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"
],
"rewardStrategies": [
"0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7",
"0x13760f50a9d7377e4f20cb8cf9e4c26586c658ff"
]
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}AVS
Retrieve all rewards for a given AVS address
Returns a list of all rewards for a given AVS address.
GET
/
avs
/
{address}
/
rewards
Retrieve all rewards for a given AVS address
Headers
API Token for authentication
Path Parameters
AVS service manager contract address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"
Response
The rewards found for the AVS.
AVS service manager contract address
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x870679e138bcdf293b7ff14dd44b70fc97e12fc0"
The list of of individual rewards submissions associated with the AVS
Show child attributes
Show child attributes
The aggregate amount of rewards distributed across all submissions
Example:
"1000000000000000000"
The total count of rewards submissions associated with the AVS
Example:
10
The list of token addresses used for reward distribution
Pattern:
^0x[a-fA-F0-9]{40}$Example:
[
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2"
]
The list of strategy addresses for which rewards are distributed
Pattern:
^0x[a-fA-F0-9]{40}$Example:
[
"0xacb55c530acdb2849e6d4f36992cd8c9d50ed8f7",
"0x13760f50a9d7377e4f20cb8cf9e4c26586c658ff"
]
⌘I